public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/activemodel-serializers-xml/
Date: Sat, 26 Mar 2022 07:48:17 +0000 (UTC)	[thread overview]
Message-ID: <1648280891.ec9c77cb0a010fb350b36f0ad2ebe4b1899b7eff.graaff@gentoo> (raw)

commit:     ec9c77cb0a010fb350b36f0ad2ebe4b1899b7eff
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 26 07:15:33 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Mar 26 07:48:11 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec9c77cb

dev-ruby/activemodel-serializers-xml: add ruby30; EAPI 8

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../activemodel-serializers-xml-1.0.2-r2.ebuild    | 40 ++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/dev-ruby/activemodel-serializers-xml/activemodel-serializers-xml-1.0.2-r2.ebuild b/dev-ruby/activemodel-serializers-xml/activemodel-serializers-xml-1.0.2-r2.ebuild
new file mode 100644
index 000000000000..2f4d728ed4ae
--- /dev/null
+++ b/dev-ruby/activemodel-serializers-xml/activemodel-serializers-xml-1.0.2-r2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_TEST="MT_NO_PLUGINS=true"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="XML serialization for your Active Model objects and Active Record models"
+HOMEPAGE="https://github.com/rails/activemodel-serializers-xml"
+SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> ${P}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+	>=dev-ruby/activesupport-5:*
+	>=dev-ruby/activemodel-5:*
+	=dev-ruby/builder-3*:* >=dev-ruby/builder-3.1:*
+"
+
+ruby_add_bdepend "test? (
+	>=dev-ruby/activerecord-5:*
+	dev-ruby/sqlite3
+)"
+
+all_ruby_prepare() {
+	sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+	sed -i -e '/datetime.*created_at/ s:^:#:' test/helper.rb || die
+}


             reply	other threads:[~2022-03-26  7:48 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-26  7:48 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-28  6:21 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/activemodel-serializers-xml/ Hans de Graaff
2023-08-08  5:50 Hans de Graaff
2022-10-11  5:31 Hans de Graaff
2022-10-11  5:31 Hans de Graaff
2022-10-02 17:03 Hans de Graaff
2021-07-06  7:49 Hans de Graaff
2021-05-28  5:14 Hans de Graaff
2019-05-12  5:32 Hans de Graaff
2018-06-06  4:44 Hans de Graaff
2018-05-06 18:52 Hans de Graaff
2017-08-17  5:45 Hans de Graaff
2017-07-30  8:36 Michał Górny
2017-05-07  9:44 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1648280891.ec9c77cb0a010fb350b36f0ad2ebe4b1899b7eff.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox